{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Contactez-nous{% endblock %}



{% block titleAndDecription %}
    <!-- Affiche le titre et la description de la page -->
    <h2> {% if app.request.attributes.get('_route') == 'contact' %} Contact {% else %} Report {% endif %}</h2>
    <p>
        Vous avez des questions, des commentaires ou une suggestion ? Nous sommes là pour vous ! N'hésitez pas à nous
        contacter en utilisant le formulaire ci-dessous. Votre avis compte et nous serions ravis d'avoir de vos
        nouvelles.
    </p>
{% endblock %}

{% block section %}
    <!-- Section de contact -->
    <section id="contact" class="contact">
        <div class="container">

            <!-- Informations de contact -->
            <div class="row gy-4 justify-content-center">
                <!-- Informations spécifiques (Emplacement, Email, Téléphone) -->
                <div class="col-lg-3">
                    <div class="info-item d-flex">
                        <i class="bi bi-geo-alt flex-shrink-0"></i>
                        <div>
                            <h4>Emplacement:</h4>
                            <p>Rue des smarthies 84, 45261 45263, Belgique</p>
                        </div>
                    </div>
                </div><!-- End Info Item -->

                <div class="col-lg-3">
                    <div class="info-item d-flex">
                        <i class="bi bi-envelope flex-shrink-0"></i>
                        <div>
                            <h4>Email:</h4>
                            <p>info@example.com</p>
                        </div>
                    </div>
                </div><!-- End Info Item -->

                <div class="col-lg-3">
                    <div class="info-item d-flex">
                        <i class="bi bi-phone flex-shrink-0"></i>
                        <div>
                            <h4>Téléphone:</h4>
                            <p>+1 5589 55488 55</p>
                        </div>
                    </div>
                </div><!-- End Info Item -->

            </div>

            <div class="row justify-content-center mt-4">
                <!-- Formulaire de contact -->
                <div class="col-lg-9">
                    <form method="post" role="form" class="php-email-form">
                        <!-- Utilisation de form_start et form_end pour générer automatiquement le formulaire -->
                        {% if app.request.attributes.get('_route') == 'contact' %}
                            {{ form_start(contactForm) }}
                            <div class="row">
                                <div class="col-md-6 form-group">
                                    <!-- Champ pour le nom -->
                                    {{ form_widget(contactForm.name, {'attr': {'placeholder': 'Nom'}}) }}
                                </div>
                                <div class="col-md-6 form-group mt-3 mt-md-0">
                                    <!-- Champ pour l'email -->
                                    {{ form_widget(contactForm.email, {'attr': {'placeholder': 'Mail'}}) }}
                                </div>
                            </div>
                            <div class="form-group mt-3">
                                <!-- Champ pour le sujet -->
                                {{ form_widget(contactForm.subject, {'attr': {'placeholder': 'Sujet'}}) }}
                                {{ form_errors(contactForm.subject) }}
                            </div>
                            <div class="form-group mt-3">
                                <!-- Champ pour le message -->
                                {{ form_widget(contactForm.message, {'attr': {'placeholder': 'Message'}}) }}
                                {{ form_errors(contactForm.message) }}
                            </div>
                            <div class="my-3">
                                <div class="loading">Chargement</div>
                                <div class="error-message"></div>
                                <!-- Message de confirmation -->
                                <div class="sent-message">Votre message a été envoyé. Merci !</div>
                            </div>
                            <div class="text-center">
                                <button type="submit">Envoyer Message</button>
                            </div>
                            <!-- Utilisation de form_end pour terminer le formulaire -->
                            {{ form_end(contactForm) }}


                        {% else %}
                            {{ form_start(reportForm) }}
                            <div class="form-group mt-3">
                                <!-- Champ pour le sujet -->
                                {{ form_widget(reportForm.subject, {'attr': {'placeholder': 'Sujet'}}) }}
                                {{ form_errors(reportForm.subject) }}
                            </div>
                            <div class="form-group mt-3">
                                <!-- Champ pour le message -->
                                {{ form_widget(reportForm.report_message, {'attr': {'placeholder': 'Message'}}) }}
                                {{ form_errors(reportForm.report_message) }}
                            </div>
                            <div class="text-center">
                                <button type="submit" style="margin-top: 10px">Envoyer Message</button>
                            </div>
                            {{ form(reportForm) }}
                        {% endif %}

                    </form>
                </div>

                <div class="alert-message">
                    <!-- Affiche les messages flash de succès -->
                    {% for message in app.flashes('success') %}
                        <div class="alert alert-success">
                            {{ message }}
                        </div>
                    {% endfor %}
                </div>
            </div>

        </div>
        <!-- Fin de la section de contact -->
    </section>
{% endblock %}